Problem with using PerlMagick from Perl via CGI.

PerlMagick is an object-oriented Perl interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning PerlMagick.
Locked
maxiong

Problem with using PerlMagick from Perl via CGI.

Post by maxiong »

I'm receiving this error message:

Script Error: Can't load '/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/auto/Image/Magick/Magick.so' for module Image::Magick: libMagickCore.so.4: cannot open shared object file: No such file or directory at /opt/lampp/lib/perl5/5.10.1/i686-linux/DynaLoader.pm line 200.
at /opt/lampp/cgi-bin/ImageFolio43/custom/imageMagick.pl line 4
Compilation failed in require at /opt/lampp/cgi-bin/ImageFolio43/custom/imageMagick.pl line 4.
BEGIN failed--compilation aborted at /opt/lampp/cgi-bin/ImageFolio43/custom/imageMagick.pl line 4.
Compilation failed in require at /opt/lampp/cgi-bin/ImageFolio43/main/imageBatch.pl line 32.
Compilation failed in require at /opt/lampp/cgi-bin/ImageFolio43/imageFolio.cgi line 74.

Obviously it things there is version 5.10.1 but it's actually installed in site_perl/5.8.8. Is there anyway to manually tell Magick.so where the core file is? Any help would be greatly appreciated. Thanks much.

Locked